com.tibbo.aggregate.common.datatable.field

## Class DataFieldFormat

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.FieldFormat<Data>
  - - com.tibbo.aggregate.common.datatable.field.DataFieldFormat

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable

      public class DataFieldFormat
      extends FieldFormat<Data>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `DATA_EDITOR_OPTIONS_FORMAT`
    `static java.lang.String` | `EDITOR_HEX`
    `static java.lang.String` | `EDITOR_IMAGE`
    `static java.lang.String` | `EDITOR_REFERENCE`
    `static java.lang.String` | `EDITOR_REPORT`
    `static java.lang.String` | `EDITOR_SOUND`
    `static java.lang.String` | `EDITOR_TEXT`
    `static java.lang.String` | `EXTENSION_FIELD`
    `static java.lang.String` | `EXTENSIONS_DESCR_FIELD`
    `static java.lang.String` | `EXTENSIONS_FIELD`
    `static TableFormat` | `EXTENSIONS_FORMAT`
    `static java.lang.String` | `FOLDER_FIELD`
    `static java.lang.String` | `MODE_FIELD`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `BOOLEAN_FIELD, COLOR_FIELD, DATA_FIELD, DATATABLE_FIELD, DATE_FIELD, DOUBLE_FIELD, EDITOR_BAR, EDITOR_BYTES, EDITOR_FOREIGN_INSTANCE, EDITOR_FORMAT_STRING, EDITOR_INSTANCE, EDITOR_LIST, FLOAT_FIELD, INTEGER_FIELD, LONG_FIELD, STRING_FIELD, VALIDATOR_EXPRESSION, VALIDATOR_ID, VALIDATOR_LIMITS, VALIDATOR_NON_NULL, VALIDATOR_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFieldFormat(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `encodeTextEditorOptions(java.lang.String mode)`
    `static java.lang.String` | `encodeTextEditorOptions(java.lang.String extensionsDescription, java.lang.String folder, java.util.List<java.lang.String> extensions)`
    `static java.lang.String` | `encodeTextEditorOptions(java.lang.String mode, java.lang.String extensionsDescription, java.lang.String folder, java.util.List<java.lang.String> extensions)`
    `java.lang.Class` | `getFieldClass()`
    `java.lang.Class` | `getFieldWrappedClass()`
    `Data` | `getNotNullDefault()`
    `java.util.List<java.lang.String>` | `getSuitableEditors()`
    `char` | `getType()`
    `Data` | `valueFromString(java.lang.String value, ClassicEncodingSettings settings, boolean validate)`
    `java.lang.StringBuilder` | `valueToEncodedString(Data value, ClassicEncodingSettings settings, java.lang.StringBuilder sb, java.lang.Integer encodeLevel)`
    `java.lang.String` | `valueToString(Data value, ClassicEncodingSettings settings)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `addSelectionValue, addSelectionValue, addValidator, checkAndConvertValue, checkAndConvertValue, clone, cloneIfImmutable, convertValue, create, create, create, create, create, create, create, create, create, create, create, createValidators, encode, encode, encode, equals, extend, extendMessage, getDefaultValue, getDefaultValueCopy, getDescription, getEditor, getEditorOptions, getEncodedValidators, getGroup, getHelp, getIcon, getName, getSelectionValues, getType, getTypeName, getTypes, getTypeSelectionValues, getValidators, getValidatorToTypeMap, hasDescription, hashCode, hasSelectionValue, hasSelectionValues, isAdvanced, isDefaultOverride, isEncrypted, isExtendableSelectionValues, isFieldClass, isHidden, isInlineData, isKeyField, isNotReplicated, isNullable, isNumericField, isNumericField, isOptional, isReadonly, isShallow, isTransferEncode, makeImmutable, removeGroup, setAdvanced, setDefault, setDefaultFromString, setDefaultFromString, setDefaultOverride, setDescription, setEditor, setEditorOptions, setEncrypted, setExtendableSelectionValues, setGroup, setHelp, setHidden, setIcon, setInlineData, setKeyField, setName, setNotReplicated, setNullable, setOptional, setReadonly, setSelectionValues, setSelectionValues, setSelectionValues, setShallow, setTransferEncode, setValidators, toDetailedString, toString, valueFromEncodedString, valueFromEncodedString, valueFromString, valueToEncodedString, valueToString, wrap, wrapSimple`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EDITOR_TEXT

          public static final java.lang.String EDITOR_TEXT

      See Also:
        Constant Field Values

    - #### EDITOR_IMAGE

          public static final java.lang.String EDITOR_IMAGE

      See Also:
        Constant Field Values

    - #### EDITOR_SOUND

          public static final java.lang.String EDITOR_SOUND

      See Also:
        Constant Field Values

    - #### EDITOR_HEX

          public static final java.lang.String EDITOR_HEX

      See Also:
        Constant Field Values

    - #### EDITOR_REPORT

          public static final java.lang.String EDITOR_REPORT

      See Also:
        Constant Field Values

    - #### EDITOR_REFERENCE

          public static final java.lang.String EDITOR_REFERENCE

      See Also:
        Constant Field Values

    - #### EXTENSIONS_DESCR_FIELD

          public static final java.lang.String EXTENSIONS_DESCR_FIELD

      See Also:
        Constant Field Values

    - #### MODE_FIELD

          public static final java.lang.String MODE_FIELD

      See Also:
        Constant Field Values

    - #### EXTENSIONS_FIELD

          public static final java.lang.String EXTENSIONS_FIELD

      See Also:
        Constant Field Values

    - #### EXTENSION_FIELD

          public static final java.lang.String EXTENSION_FIELD

      See Also:
        Constant Field Values

    - #### FOLDER_FIELD

          public static final java.lang.String FOLDER_FIELD

      See Also:
        Constant Field Values

    - #### EXTENSIONS_FORMAT

          public static TableFormat EXTENSIONS_FORMAT

    - #### DATA_EDITOR_OPTIONS_FORMAT

          public static TableFormat DATA_EDITOR_OPTIONS_FORMAT

  - ### Constructor Detail

    - #### DataFieldFormat

          public DataFieldFormat(java.lang.String name)

  - ### Method Detail

    - #### getType

          public char getType()

      Specified by:
        `getType` in class `FieldFormat<Data>`

    - #### getFieldClass

          public java.lang.Class getFieldClass()

      Specified by:
        `getFieldClass` in class `FieldFormat<Data>`

    - #### getFieldWrappedClass

          public java.lang.Class getFieldWrappedClass()

      Specified by:
        `getFieldWrappedClass` in class `FieldFormat<Data>`

    - #### getNotNullDefault

          public Data getNotNullDefault()

      Specified by:
        `getNotNullDefault` in class `FieldFormat<Data>`

    - #### valueFromString

          public Data valueFromString(java.lang.String value,
                                      ClassicEncodingSettings settings,
                                      boolean validate)

      Specified by:
        `valueFromString` in class `FieldFormat<Data>`

    - #### valueToString

          public java.lang.String valueToString(Data value,
                                                ClassicEncodingSettings settings)

      Specified by:
        `valueToString` in class `FieldFormat<Data>`

    - #### valueToEncodedString

          public java.lang.StringBuilder valueToEncodedString(Data value,
                                                              ClassicEncodingSettings settings,
                                                              java.lang.StringBuilder sb,
                                                              java.lang.Integer encodeLevel)

      Overrides:
        `valueToEncodedString` in class `FieldFormat<Data>`

    - #### getSuitableEditors

          public java.util.List<java.lang.String> getSuitableEditors()

      Overrides:
        `getSuitableEditors` in class `FieldFormat<Data>`

    - #### encodeTextEditorOptions

          public static java.lang.String encodeTextEditorOptions(java.lang.String mode)

    - #### encodeTextEditorOptions

          public static java.lang.String encodeTextEditorOptions(java.lang.String extensionsDescription,
                                                                 java.lang.String folder,
                                                                 java.util.List<java.lang.String> extensions)

    - #### encodeTextEditorOptions

          public static java.lang.String encodeTextEditorOptions(java.lang.String mode,
                                                                 java.lang.String extensionsDescription,
                                                                 java.lang.String folder,
                                                                 java.util.List<java.lang.String> extensions)